Inboxes

Start a new conversation in an inbox

Start a new conversation in an inbox.

POST
/inboxes/{inbox_id}/conversations

Start a new conversation in an inbox.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

inbox_id*string

Inbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/inboxes/string/conversations" \  -H "Content-Type: application/json" \  -d '{    "to": "[email protected]",    "status": "Active",    "subject": "Order INV-1042 arrived damaged",    "message": "Hi, my order arrived with a cracked screen. Can you help?",    "agent": "9c81790c-ae74-4cbd-b2ca-d246ae0df1a9",    "tags": [      "9c81790c-ae74-4cbd-b2ca-d246ae0df1a9"    ],    "contact": {      "name": "Jane Cooper",      "company": "Acme Inc"    }  }'
{  "message": "string"}